
--**-----------------------------------------------------------------
!CREATE FUNCTION concat2(@t1 nvarchar(max), @t2 nvarchar(max)) returns nvarchar(max) as begin return @t1 + @t2 end;
!CREATE FUNCTION concat3(@t1 nvarchar(max), @t2 nvarchar(max), @t3 nvarchar(max)) returns nvarchar(max) as begin return @t1 + @t2 + @t3 end;
!CREATE FUNCTION concat4(@t1 nvarchar(max), @t2 nvarchar(max), @t3 nvarchar(max), @t4 nvarchar(max)) returns nvarchar(max) as begin return @t1 + @t2 + @t3 + @t4 end;
!CREATE FUNCTION concat5(@t1 nvarchar(max), @t2 nvarchar(max), @t3 nvarchar(max), @t4 nvarchar(max), @t5 nvarchar(max)) returns nvarchar(max) as begin return @t1 + @t2 + @t3 + @t4 + @t5 end;
!CREATE FUNCTION unix_timestamp(@time datetime2) returns bigint as begin return DATEDIFF(s,'1970-1-1 0:0:0',@time)-28800 end;
!CREATE FUNCTION instr(@t1 nvarchar(max), @t2 nvarchar(max)) returns integer as begin return charindex(@t2,@t1) end;
!CREATE FUNCTION date_format(@datetime datetime2, @fmt varchar(30)) returns varchar(30) as begin declare @time varchar(30) declare @yy char(4) declare @mm char(2) declare @dd varchar(2) declare @hh char(2) declare @mi char(2) declare @ss char(2) set @time = convert(varchar(30),@datetime,121) set @yy = substring(@time,1,4) set @mm = substring(@time,6,2) set @dd = substring(@time,9,2) set @hh = substring(@time,12,2) set @mi = substring(@time,15,2) set @ss = substring(@time,18,2) set @fmt = replace(@fmt,'%Y',@yy) set @fmt = replace(@fmt,'%m',@mm) set @fmt = replace(@fmt,'%d',@dd) set @fmt = replace(@fmt,'%H',@hh) set @fmt = replace(@fmt,'%i',@mi) set @fmt = replace(@fmt,'%S',@ss) return @fmt end;
!CREATE FUNCTION length(@txt nvarchar(max)) returns integer as begin return len(@txt) end;
!CREATE FUNCTION leftx(@txt nvarchar(max), @len integer) returns nvarchar(max) as begin return left(@txt,@len) end;
!CREATE FUNCTION now() returns datetime2 as begin return convert(datetime2,convert(varchar,getDate(),120)) end;




!create table if not exists "bjn_usr"(
	"id" nvarchar(20) not null default '',
	"loginid" nvarchar(30) not null default '',
	"loginpwd" nvarchar(100) not null default '',
	"admin" tinyint  not null default 0,
	"swautologout" tinyint  not null default 0,
	"begintime" datetime2 not null default '0001-1-1',
	"endtime" datetime2 not null default '0001-1-1',
	"name" nvarchar(50) not null default '',
	"swlogin" tinyint  not null default 0,
	"code" smallint  not null default 0,
	"logintime" datetime2 not null default '0001-1-1',
	"logouttime" datetime2 not null default '0001-1-1',
	"lasttime" datetime2 not null default '0001-1-1',
	"lastmemo" nvarchar(250) not null default '',
	"swwork" tinyint  not null default 0,
	"lang" tinyint  not null default 0,
	"swa" tinyint not null default 0,
	"swb" tinyint not null default 0,
	"swc" tinyint not null default 0,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id),
	unique (loginid)
);


!create table if not exists "bjn_usrhistory"(
	"id" bigint  not null identity(1,1),
	"userid" nvarchar(20) not null default '',
	"admin" tinyint  not null default 0,
	"endtime" datetime2 not null default '0001-1-1',
	"logintime" datetime2 not null default '0001-1-1',
	"logouttime" datetime2 not null default '0001-1-1',
	"lastmemo" nvarchar(250) not null default '',
	primary key (id)
);



--**-----------------------------------------------------------------
!create table if not exists "bjn_sys"(
	"id" nvarchar(50) not null default '',
	"data" nvarchar(max),
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	primary key (id)
);


--**-----------------------------------------------------------------
!create table if not exists "bjn_tablestate"(
	"id" nvarchar(30) not null default '',
	"count" bigint  not null default 0,
	"max" bigint  not null default 0,
	"last" bigint  not null default 0,
	"maxcode" nvarchar(100) not null default '',
	primary key (id)
);





insert ignore bjn_tableState values('bjn_gp',0,0,0,'');
insert ignore bjn_tableState values('bjn_reportEnding',0,0,0,'');
insert ignore bjn_tableState values('depar',0,0,0,'');
insert ignore bjn_tableState values('hr',0,0,0,'');



--**-----------------------------------------------------------------
!create table if not exists "bjn_gp"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(50) not null default '',
	"memo" nvarchar(250) not null default '',
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	primary key (id)
);

!create table if not exists "bjn_gpdetail"(
	"rela" nvarchar(10) not null default '',
	"no" smallint  not null default 0,
	"cls" nvarchar(250) not null default '',
	"ext" nvarchar(250) not null default '',
	primary key (rela,no)
);
!create index if not exists "ix_bjn_gpdetail_cls" on "bjn_gpdetail" (cls);


--**-----------------------------------------------------------
!create table if not exists "bjn_usrgp"(
	"usrid" nvarchar(15) not null default '',
	"gpid" nvarchar(10) not null default '',
	primary key (usrid,gpid)
);


--**-----------------------------------------------------------
!create table if not exists "bjn_usrstk"(
	"usrid" nvarchar(15) not null default '',
	"stkid" nvarchar(10) not null default '',
	primary key (usrid,stkid)
);


--**-----------------------------------------------------------------
!create table if not exists "bjn_reportending"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(50) not null default '',
	"text" ntext,
	"memo" nvarchar(250) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	primary key (id)
);


--**-----------------------------------------------------------------
!create table if not exists "bjn_reportparam"(
	"id" nvarchar(60) not null default '',
	"name" nvarchar(100) not null default '',
	"data" text,
	"memo" nvarchar(250) not null default '',
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	primary key (id)
);


--**-----------------------------------------------------------------
!create table if not exists "bjn_procrun"(
	"id" integer  not null default 0,
	"proctime" datetime2 not null default '0001-1-1',
	"procuser" nvarchar(30) not null default '',
	"procid" nvarchar(50) not null default '',
	"procindex" integer  not null default 0,
	"procmax" integer  not null default 0,
	"proccount" integer  not null default 0,
	"procserver" nvarchar(100) not null default '',
	"procclass" nvarchar(100) not null default '',
	"ispause" tinyint  not null default 0,
	"isstop" tinyint  not null default 0,
	"isadmin" tinyint  not null default 0,
	"swstate" tinyint  not null default 0,
	"islock" tinyint  not null default 0,
	"param" ntext,
	"cmdtime" datetime2 not null default '0001-1-1',
	"cmduser" nvarchar(30) not null default '',
	"cmdid" tinyint  not null default 0,
	"workid" nvarchar(100) not null default '',
	"endid" nvarchar(100) not null default '',
	"steptotal" integer  not null default 0,
	"step" integer  not null default 0,
	"resptime" bigint  not null default 0,
	"respout" integer  not null default 0,
	 "filter" ntext,
	"object" text,
	
	primary key (id)
);


--**-----------------------------------------------------------------
!create table if not exists "bjn_proclog"(
	"id_no" bigint  not null identity(1,1),
	"logtime" datetime2 not null default '0001-1-1',
	"procid" nvarchar(50) not null default '',
	"procstate" nvarchar(30) not null default '',
	"userx" nvarchar(30) not null default '',
	"type" nvarchar(30) not null default '',
	"swdel" tinyint  not null default 0,
	"detail" ntext,
	"param" ntext,
	
	primary key (id_no)
);
!create index if not exists "ix_bjn_proclog_procid_logtime" on "bjn_proclog" (procid,logtime);

--**-----------------------------------------------------------------

--**-----------------------------------------------------------
!create table if not exists "bjn_tablelog"(
	"id" bigint  not null identity(1,1),
	"logtime" datetime2 not null default '0001-1-1',
	"loguser" nvarchar(20) not null default '',
	"tableid" nvarchar(30) not null default '',
	"nodeid" nvarchar(10) not null default '',
	"workid" tinyint  not null default 0,
	"detail" ntext,
	"sw1" tinyint  not null default 0,
	"sw2" tinyint  not null default 0,
	"sw3" tinyint  not null default 0,
	
	primary key (id)
);
!create index if not exists "ix_bjn_tablelog_tableid_nodeid_id" on "bjn_tablelog" (tableid,nodeid,id);


--**-----------------------------------------------------------
!create table if not exists "bjn_worklog"(
	"id" bigint  not null identity(1,1),
	"logtime" datetime2 not null default '0001-1-1',
	"loguser" nvarchar(20) not null default '',
	"workid" nvarchar(20) not null default '',
	"detail" ntext,
	
	primary key (id)
);



--**-----------------------------------------------------------
!create table if not exists "bjn_msgset"(
	"id" bigint  not null identity(1,1),
	"fruser" nvarchar(20) not null default '',
	"touser" ntext,
	"totime" datetime2 not null default '0001-1-1',
	"subject" nvarchar(100) not null default '',
	"detail" ntext,
	"att" text,
	"reid" bigint  not null,
	"swwork" tinyint  not null default 0,
	"swpro" tinyint  not null default 0,
	
	primary key (id)
);
!create index if not exists "ix_bjn_msgset_fruser_id" on "bjn_msgset" (fruser,id);


!create table if not exists "bjn_msgget"(
	"touser" nvarchar(20) not null default '',
	 "msgid" bigint  not null,
	"fruser" nvarchar(20) not null default '',
	 "frtime" datetime2 not null default '0001-1-1',
	"subject" nvarchar(100) not null default '',
	"detail" ntext,
	"att" text,
	"swwork" tinyint  not null default 0,
	"swpro" tinyint  not null default 0,

	primary key (touser,msgid)
);
!create index if not exists "ix_bjn_msgget_msgid_touser" on "bjn_msgget" (msgid,touser);










!create table if not exists "depar"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(50) not null default '',
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_depar_ltimer_id" on "depar" (ltimer,id);


--**-----------------------------------------------------------------
!create table if not exists "hr"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(50) not null default '',
	"deparid" nvarchar(10) not null default '',
	"egname" nvarchar(50) not null default '',
	"isimg" text,
	"sex" tinyint  not null default 1,
	"marriage" tinyint  not null default 1,
	"military" tinyint  not null default 1,
	"militarydate" nvarchar(20) not null default '',
	"idno" nvarchar(30) not null default '',
	"birthday" date not null default '0001-1-1',
	"mobile" nvarchar(50) not null default '',
	"tel" nvarchar(50) not null default '',
	"addr" nvarchar(200) not null default '',
	"exiname" nvarchar(30) not null default '',
	"exitel" nvarchar(30) not null default '',
	"exirela" nvarchar(30) not null default '',
	"email" nvarchar(200) not null default '',
	"fixname" nvarchar(30) not null default '',
	"fixtel" nvarchar(50) not null default '',
	"fixaddr" nvarchar(200) not null default '',
	"school1" nvarchar(50) not null default '',
	"class1" nvarchar(30) not null default '',
	"graddate1" nvarchar(10) not null default '',
	"school2" nvarchar(50) not null default '',
	"class2" nvarchar(30) not null default '',
	"graddate2" nvarchar(10) not null default '',
	"school3" nvarchar(50) not null default '',
	"class3" nvarchar(30) not null default '',
	"graddate3" nvarchar(10) not null default '',
	"company1" nvarchar(50) not null default '',
	"title1" nvarchar(30) not null default '',
	"begdate1" nvarchar(10) not null default '',
	"enddate1" nvarchar(10) not null default '',
	"leaversn1" nvarchar(50) not null default '',
	"company2" nvarchar(50) not null default '',
	"title2" nvarchar(30) not null default '',
	"begdate2" nvarchar(10) not null default '',
	"enddate2" nvarchar(10) not null default '',
	"leaversn2" nvarchar(50) not null default '',
	"company3" nvarchar(50) not null default '',
	"title3" nvarchar(30) not null default '',
	"begdate3" nvarchar(10) not null default '',
	"enddate3" nvarchar(10) not null default '',
	"leaversn3" nvarchar(50) not null default '',
	"item1" nvarchar(30) not null default '',
	"itemdate1" nvarchar(30) not null default '',
	"content1" nvarchar(50) not null default '',
	"item2" nvarchar(30) not null default '',
	"itemdate2" nvarchar(30) not null default '',
	"content2" nvarchar(50) not null default '',
	"item3" nvarchar(30) not null default '',
	"itemdate3" nvarchar(30) not null default '',
	"content3" nvarchar(50) not null default '',
	"pdauserid" nvarchar(30) not null default '',
	"pdauserpwd" nvarchar(30) not null default '',
	"pdausername" nvarchar(30) not null default '',
	"pdacode" smallint  not null default 0,
	"pdastate" tinyint  not null default 0,
	"pdalogintimer" bigint  not null default 0,
	"pdasysctrl" ntext,
	"posuserid" nvarchar(30) not null default '',
	"posuserpwd" nvarchar(30) not null default '',
	"stkid" nvarchar(10) not null default '',
	 "casherpwd" nvarchar(30) not null default '',
	"sellerpwd" nvarchar(30) not null default '',
	"wkcheckid" nvarchar(10) not null default '',
	"wkfinger" text,
	"wkfinger2" text,
	"wkambeg" time not null default '0:0:0',
	"wkamend" time not null default '0:0:0',
	"wkpmbeg" time not null default '0:0:0',
	"wkpmend" time not null default '0:0:0',
	
	"memo" ntext,
	"swstate" tinyint  not null default 1,
	"swdel" tinyint  not null default 0,
	"sysuserid" nvarchar(20) not null default '',
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_hr_posuserid" on "hr" (posuserid);
!create index if not exists "ix_hr_casherpwd" on "hr" (casherpwd);
!create index if not exists "ix_hr_sellerpwd" on "hr" (sellerpwd);
!create index if not exists "ix_hr_ltimer_id" on "hr" (ltimer,id);















insert ignore bjn_tableState values('stk',0,0,0,'');
insert ignore bjn_tableState values('cls',0,0,0,'');
insert ignore bjn_tableState values('brand',0,0,0,'');
insert ignore bjn_tableState values('item',0,0,0,'');
insert ignore bjn_tableState values('adjRsn',0,0,0,'');
insert ignore bjn_tableState values('adjStk',0,0,0,'');
insert ignore bjn_tableState values('bsnsCls',0,0,0,'');
insert ignore bjn_tableState values('areaCls',0,0,0,'');

insert ignore bjn_tableState values('prvd',0,0,0,'');
insert ignore bjn_tableState values('inStk',0,0,0,'');
insert ignore bjn_tableState values('inStkBk',0,0,0,'');
insert ignore bjn_tableState values('apAdj',0,0,0,'');
insert ignore bjn_tableState values('apCancel',0,0,0,'');

insert ignore bjn_tableState values('cust',0,0,0,'');
insert ignore bjn_tableState values('outStk',0,0,0,'');
insert ignore bjn_tableState values('outStkBk',0,0,0,'');
insert ignore bjn_tableState values('arAdj',0,0,0,'');
insert ignore bjn_tableState values('arCancel',0,0,0,'');
insert ignore bjn_tableState values('clsx',0,0,0,'');
insert ignore bjn_tableState values('outQuot',0,0,0,'');
insert ignore bjn_tableState values('outOrder',0,0,0,'');
insert ignore bjn_tableState values('inOrder',0,0,0,'');
insert ignore bjn_tableState values('inRequ',0,0,0,'');
insert ignore bjn_tableState values('inCheck',0,0,0,'');
insert ignore bjn_tableState values('chkStk',0,0,0,'');
insert ignore bjn_tableState values('sale',0,0,0,'');
insert ignore bjn_tableState values('outInvoice',0,0,0,'');
insert ignore bjn_tableState values('member',0,0,0,'');
insert ignore bjn_tableState values('memberCls',0,0,0,'');
insert ignore bjn_tableState values('memberCard',0,0,0,'');
insert ignore bjn_tableState values('cashreg',0,0,0,'');  
insert ignore bjn_tableState values('payMode',0,0,0,''); 
insert ignore bjn_tableState values('nodeAcct',0,0,0,'');
insert ignore bjn_tableState values('nodeAcctConvert',0,0,0,'');
insert ignore bjn_tableState values('wkAttend',0,0,0,'');
insert ignore bjn_tableState values('ckBank',0,0,0,'');
insert ignore bjn_tableState values('memOrder',0,0,0,'');



--**-----------------------------------------------------------------
!create table if not exists "cls"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(100) not null default '',
	"clsxid" nvarchar(20) not null default '',
	"swtax" tinyint  not null default 1,
	"informula" nvarchar(50) not null default '',
	"outformula" nvarchar(50) not null default '',
	"mbformula" nvarchar(50) not null default '',
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,
	"accodeid" nvarchar(10) not null default '',
	"isshop" tinyint  not null default 0,
	"shopuser" nvarchar(50) not null default '',
	"shoptime" datetime2 not null default '0001-1-1',
	"shopsort" nvarchar(20) not null default '',
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_cls_ltimer_id" on "cls" (ltimer,id);



--**-----------------------------------------------------------------
!create table if not exists "brand"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(100) not null default '',
	"brandxid" nvarchar(20) not null default '',
	"swtax" tinyint  not null default 1,
	"informula" nvarchar(50) not null default '',
	"outformula" nvarchar(50) not null default '',
	"mbformula" nvarchar(50) not null default '',
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,
	"accodeid" nvarchar(10) not null default '',
	"isshop" tinyint  not null default 0,
	"shopuser" nvarchar(50) not null default '',
	"shoptime" datetime2 not null default '0001-1-1',
	"shopsort" nvarchar(20) not null default '',
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_brand_ltimer_id" on "brand" (ltimer,id);



--**-----------------------------------------------------------------
!create table if not exists "item"(
	"id" nvarchar(30) not null default '',
	"scdid" nvarchar(30) not null default '',
	"prvid" nvarchar(30) not null default '',
	"name" nvarchar(200) not null default '',
	"specif" ntext,
	"unit" nvarchar(20) not null default '',
	"prvdid" nvarchar(20) not null default '',
	"clsid" nvarchar(20) not null default '',
	"cost" decimal(16,4) not null default 0,
	"inicost" decimal(16,4) not null default 0,
	"inicleardate" date not null default '0001-1-1',
	"avgcost" decimal(16,4) not null default 0,
	"nowavgcost" decimal(16,4) not null default 0,
	"nowavgcostlog" nvarchar(250) not null default '',
	"refreshtime" datetime2 not null default '0001-1-1',
	"ioscheckdate" date not null default '0001-1-1',
	"ioscheckcost" decimal(16,4) not null default 0,
	"ioscheckuser" nvarchar(50) not null default '',
	"ioschecktime" datetime2 not null default '0001-1-1',
	"fixprice" decimal(16,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"lowprice" decimal(16,4) not null default 0,
	"batprice" decimal(16,4) not null default 0,
	"mb1price" decimal(16,4) not null default 0,
	"mb2price" decimal(16,4) not null default 0,
	"mb3price" decimal(16,4) not null default 0,
	"mbpoint" decimal(16,4) not null default 0,
	"indate" date not null default '0001-1-1',
	"incost" decimal(16,4) not null default 0,
	"comindate" date not null default '0001-1-1',
	"comincost" decimal(16,4) not null default 0,
	"comavgcost" decimal(16,4) not null default 0,
	"comtime" datetime2 not null default '0001-1-1',
	
	"isimg" text,
	"isimg2" text,
	"isimg3" text,
	"swcatalog" tinyint  not null default 1,
	"itemno" nvarchar(30) not null default '',
	"loworder" decimal(15,4) not null default 0,
	"pkgqty" decimal(15,4) not null default 0,
	"pkgunit" nvarchar(20) not null default '',
	"pkgitemid" nvarchar(30) not null default '',
	"swinorder" tinyint  not null default 0,
	"swinstk" tinyint  not null default 0,
	"swoutorder" tinyint  not null default 0,
	"swoutstk" tinyint  not null default 0,
	"swdel" tinyint  not null default 0,
	"swtax" tinyint  not null default 0,
	"inbarcode" tinyint  not null default 1,
	"isvirtual" tinyint  not null default 0,
	"isstopcustprice" tinyint  not null default 0,
	"swbomclass" tinyint  not null default 0,
	
	
	"memo" ntext,
	"place" nvarchar(100) not null default '',
	"stuff" nvarchar(100) not null default '',
	
	"ivname" nvarchar(100) not null default '',
	
	"shopno" nvarchar(30) not null default '',
	"shopname" nvarchar(200) not null default '',
	"shopunit" nvarchar(20) not null default '',
	"shopclsid" nvarchar(20) not null default '',
	"shopbrandid" nvarchar(20) not null default '',
	"shopprice" decimal(16,4) not null default 0,
	"shoppromo" decimal(16,4) not null default 0,
	"shopcarr" decimal(16,4) not null default 0,
	"shopptext" nvarchar(100) not null default '',
	"shopmemo" ntext,
	"shopspec" ntext,
	"swshop" tinyint  not null default 0,
	"shopuserfn" nvarchar(50) not null default '',
	"shoptimefn" datetime2 not null default '0001-1-1',
	"shopusered" nvarchar(50) not null default '',
	"shoptimeed" datetime2 not null default '0001-1-1',
	"shopuserup" nvarchar(50) not null default '',
	"shoptimeup" datetime2 not null default '0001-1-1',
	"shopuserdn" nvarchar(50) not null default '',
	"shoptimedn" datetime2 not null default '0001-1-1',
	"shopsort" nvarchar(20) not null default '',

	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_item_scdid" on "item" (scdid);
!create index if not exists "ix_item_prvid" on "item" (prvid);
!create index if not exists "ix_item_shoptimeup_id" on "item" (shoptimeup,id);
!create index if not exists "ix_item_ltimer_id" on "item" (ltimer,id);



--**-----------------------------------------------------------------

!create table if not exists "item2"(
	"itemid" nvarchar(30) not null default '',
	"stkid" nvarchar(10) not null default '',
	
	"stock" decimal(17,4) not null default 0,
	"move" decimal(17,4) not null default 0,
	"inorder" decimal(17,4) not null default 0,
	"outorder" decimal(17,4) not null default 0,
	"lend" decimal(17,4) not null default 0,
	"bad" decimal(17,4) not null default 0,
	"discard" decimal(17,4) not null default 0,
	"changex" decimal(17,4) not null default 0,
	"repairx" decimal(17,4) not null default 0,
	"repaircus" decimal(17,4) not null default 0,
	"repairprv" decimal(17,4) not null default 0,
	"consigncus" decimal(17,4) not null default 0,
	"consignprv" decimal(17,4) not null default 0,
	"incheck" decimal(17,4) not null default 0,
	"rent" decimal(17,4) not null default 0,
	
	"inistock" decimal(17,4) not null default 0,
	"inimove" decimal(17,4) not null default 0,
	"iniinorder" decimal(17,4) not null default 0,
	"inioutorder" decimal(17,4) not null default 0,
	"inilend" decimal(17,4) not null default 0,
	"inibad" decimal(17,4) not null default 0,
	"inidiscard" decimal(17,4) not null default 0,
	"inichangex" decimal(17,4) not null default 0,
	"inirepairx" decimal(17,4) not null default 0,
	"inirepaircus" decimal(17,4) not null default 0,
	"inirepairprv" decimal(17,4) not null default 0,
	"iniconsigncus" decimal(17,4) not null default 0,
	"iniconsignprv" decimal(17,4) not null default 0,
	"iniincheck" decimal(17,4) not null default 0,
	"inirent" decimal(17,4) not null default 0,
	
	"comstock" decimal(17,4) not null default 0,
	"commove" decimal(17,4) not null default 0,
	"cominorder" decimal(17,4) not null default 0,
	"comoutorder" decimal(17,4) not null default 0,
	"comlend" decimal(17,4) not null default 0,
	"combad" decimal(17,4) not null default 0,
	"comdiscard" decimal(17,4) not null default 0,
	"comchangex" decimal(17,4) not null default 0,
	"comrepairx" decimal(17,4) not null default 0,
	"comrepaircus" decimal(17,4) not null default 0,
	"comrepairprv" decimal(17,4) not null default 0,
	"comconsigncus" decimal(17,4) not null default 0,
	"comconsignprv" decimal(17,4) not null default 0,
	"comincheck" decimal(17,4) not null default 0,
	"comrent" decimal(17,4) not null default 0,
	
	"inicost" decimal(16,4) not null default 0,
	"outdate" date not null default '0001-1-1',
	"outprice" decimal(16,4) not null default 0,
	"saledate" date not null default '0001-1-1',
	"saleprice" decimal(16,4) not null default 0,
	
	"lowstock" decimal(17,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	
	"totalout" decimal(17,4) not null default 0,
	"totalback" decimal(17,4) not null default 0,
	
	"ltimer" bigint  not null default 0,
	
	primary key (itemid,stkid)
);
!create index if not exists "ix_item2_stkid_itemid" on "item2" (stkid,itemid);


--**-----------------------------------------------------------------
!create table if not exists "itemavgcost"(
	"itemid" nvarchar(30) not null default '',
	"tstime" datetime2 not null default '0001-1-1',
	"stock" decimal(17,4) not null default 0,
	"oldcost" decimal(16,4) not null default 0,
	"newcost" decimal(16,4) not null default 0,
	"memo" nvarchar(250) not null default '',
	"updater" nvarchar(50) not null default '',
	primary key (itemid,tstime)
);





!create table if not exists "stk"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(20) not null default '',
	"fullname" nvarchar(100) not null default '',
	"incharge" nvarchar(30) not null default '',
	"inchargepst" nvarchar(30) not null default '',
	"tel" nvarchar(50) not null default '',
	"fax" nvarchar(50) not null default '',
	"addr" nvarchar(200) not null default '',
	"areaid" nvarchar(20) not null default '',
	"area" nvarchar(20) not null default '',
	"swtype" tinyint  not null default 0,
	"swstate" tinyint  not null default 0,
	"memo" ntext,
	"swdel" tinyint  not null default 0,
	"accompid" nvarchar(4) not null default '',
	"taxrate" tinyint  not null default 0,
	
	"chkinitime" datetime2 not null default '0001-1-1',
	"chkiniuser" nvarchar (30) not null default '',
	 "chkwork" tinyint  not null default 0,
	"chkwrr" tinyint  not null default 0,
	"chkpst" tinyint  not null default 0,
	"chkadjrsnid" nvarchar (10) not null default '',
	 "chkbatchno" nvarchar (30) not null default '',
	"chkadjtime" datetime2 not null default '0001-1-1',
	"chkadjuser" nvarchar (30) not null default '',
	 "chkcost" tinyint  not null default 0,
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);


insert ignore stk set id='001',name='stk-001', creater='#sys', createTime=[##NOW];
update bjn_tableState set count=(select count(id) from stk), last=[##LTIMER] where id='stk';



!create table if not exists "adjrsn"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(250) not null default '',
	"title" nvarchar(250) not null default '',
	"isstkid2" tinyint  not null default 0,
	"isstkid2must" tinyint  not null default 0,
	"isstkid2diff" tinyint  not null default 0,
	"wrr" tinyint  not null default 0,
	"iswrr" tinyint  not null default 0,
	"wrr2" tinyint  not null default 0,
	"iswrr2" tinyint  not null default 0,
	
	"stkword" nvarchar(200) not null default '',
	"stk2word" nvarchar(200) not null default '',
	"targetword" nvarchar(200) not null default '',
	"istargetp" tinyint  not null default 0,
	
	"sweditqty" tinyint  not null default 0,
	"swprintqty" tinyint  not null default 0,
	"memo" ntext,
	"swdel" tinyint  not null default 0,
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);




--**---------------------------------------------------------------------
--**---------------------------------------------------------------------
insert ignore adjRsn set id='01',name='庫存調整*||库存调整*',title='庫存調整單||库存调整单',stkWord=''        ,stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='02',name='盤點調整*||盘点调整*',title='盤點調整單||盘点调整单',stkWord='盤點倉庫||盘点仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];

insert ignore adjRsn set id='03',name='調撥同步||调拨同步' ,title='分倉調撥單||分仓调拨单',stkWord='調出倉庫||调出仓库',stk2Word='調入倉庫||调入仓库',targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='04',name='調撥出庫+||调拨出库+',title='調撥出庫單||调拨出库单',stkWord='出貨倉庫||出货仓库',stk2Word='收貨倉庫||收货仓库',targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='05',name='調撥入庫-||调拨入库-',title='調撥入庫單||调拨入库单',stkWord='收貨倉庫||收货仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='10',name='借出+||借出+'    ,title='借 出 單||借 出 单'  ,stkWord='借出倉庫||借出仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='11',name='借還-||借还-'    ,title='還 回 單||还 回 单'  ,stkWord='還回倉庫||还回仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='12',name='不良品+||不良品+'  ,title='轉不良品單||转不良品单',stkWord='轉出倉庫||转出仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='13',name='不良品-||不良品-'  ,title='退不良品單||退不良品单',stkWord='轉入倉庫||转入仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='14',name='待報廢+||待报废+'  ,title='轉待報廢單||转待报废单',stkWord='轉出倉庫||转出仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='15',name='待報廢-||待报废-'  ,title='退待報廢單||退待报废单',stkWord='轉入倉庫||转入仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='16',name='報廢*||报废*'    ,title='報 廢 單||报 废 单'  ,stkWord='報廢倉庫||报废仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='20',name='廠商換貨+||厂商换货+',title='退廠換貨單||退厂换货单',stkWord='退出倉庫||退出仓库',stk2Word=''        ,targetWord='廠 商||厂 商', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='21',name='廠商換貨-||厂商换货-',title='廠商換回單||厂商换回单',stkWord='收貨倉庫||收货仓库',stk2Word=''        ,targetWord='廠 商||厂 商', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='22',name='送廠維修+||送厂维修+',title='送廠維修單||送厂维修单',stkWord='送出倉庫||送出仓库',stk2Word=''        ,targetWord='廠 商||厂 商', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='23',name='送廠維修-||送厂维修-',title='廠商完修單||厂商完修单',stkWord='收貨倉庫||收货仓库',stk2Word=''        ,targetWord='廠 商||厂 商', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='30',name='組合拆裝*||组合拆装*',title='組合拆裝單||组合拆裝单',stkWord=''        ,stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='31',name='組合包裝*||组合包装*',title='組合包裝單||组合包裝单',stkWord=''        ,stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];

update bjn_tableState set count=(select count(id) from adjRsn), last=[##LTIMER] where id='adjRsn';

update adjRsn set isStkId2=0, isStkId2Must=0, isStkId2Diff=0, wrr=0, wrr2=0, isWrr2=0, swEditQty=0, swPrintQty=0, isTargetP=1 where id='01'; 
update adjRsn set isStkId2=1, isStkId2Must=0, isStkId2Diff=0, wrr=1, wrr2=0, isWrr2=1, swEditQty=0, swPrintQty=0, isTargetP=1 where id='02'; 
update adjRsn set isStkId2=0, isStkId2Must=1, isStkId2Diff=1, wrr=1, wrr2=1, isWrr2=0, swEditQty=2, swPrintQty=1, isTargetP=1 where id='03'; 
update adjRsn set isStkId2=0, isStkId2Must=1, isStkId2Diff=1, wrr=1, wrr2=2, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=1 where id='04'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=2, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=1 where id='05'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=5, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=0 where id='10'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=5, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=0 where id='11'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=6, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=1 where id='12'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=6, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=1 where id='13'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=7, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=1 where id='14'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=7, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=1 where id='15'; 
update adjRsn set isStkId2=1, isStkId2Must=0, isStkId2Diff=0, wrr=7, wrr2=0, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=1 where id='16'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=8, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=0 where id='20'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=8, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=0 where id='21'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=9, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=0 where id='22'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=9, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=0 where id='23'; 
update adjRsn set isStkId2=1, isStkId2Must=0, isStkId2Diff=0, wrr=1, wrr2=0, isWrr2=1, swEditQty=0, swPrintQty=0, isTargetP=1 where id='30'; 
update adjRsn set isStkId2=1, isStkId2Must=0, isStkId2Diff=0, wrr=1, wrr2=0, isWrr2=1, swEditQty=0, swPrintQty=0, isTargetP=1 where id='31'; 






--**-----------------------------------------------------------------
!create table if not exists "adjstk"(
	"listno" nvarchar (20) not null default '',
	"tsdate" date not null default '0001-1-1',
	"adjrsnid" nvarchar (10) not null default '',
	"hrid" nvarchar (10) not null default '',
	"targid" nvarchar (20) not null default '',
	"swtargid" tinyint  not null default 0,
	"target" nvarchar (50) not null default '',
	"stkid" nvarchar (10) not null default '',
	"stkid2" nvarchar (10) not null default '',
	"wrr" tinyint  not null default 1,
	"wrr2" tinyint  not null default 0,
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"costtotal" decimal(19,4) not null default 0,
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swlisttype" tinyint  not null default 0,
	"isclose" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_adjstk_tsdate" on "adjstk" (tsdate);
!create index if not exists "ix_adjstk_certno" on "adjstk" (certno);
!create index if not exists "ix_adjstk_batchno" on "adjstk" (batchno);
!create index if not exists "ix_adjstk_stkid_adjrsnid_listno" on "adjstk" (stkid,adjrsnid,listno);
!create index if not exists "ix_adjstk_stkid2_adjrsnid_listno" on "adjstk" (stkid2,adjrsnid,listno);



!create table if not exists "adjstkdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"tsdate" date not null default '0001-1-1',
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"cost" decimal(16,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"chkcost" tinyint  not null default 0,
	"usrcost" decimal(16,4) not null default 0,
	"atcost" decimal(16,4) not null default 0,
	"submoney" decimal(19,4) not null default 0,
	"subdisct" decimal(19,4) not null default 0,
	"memo" nvarchar (250) not null default '',
	
	primary key (rela,no)
);
!create index if not exists "ix_adjstkdetail_itemid_tsdate" on "adjstkdetail" (itemid,tsdate);








--**-----------------------------------------------------------------
!create table if not exists "bsnscls"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(100) not null default '',
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);

--**-----------------------------------------------------------------
!create table if not exists "areacls"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(100) not null default '',
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);




--**-----------------------------------------------------------------
!create table if not exists "prvd"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(30) not null default '',
	"fullname" nvarchar(100) not null default '',
	"incharge" nvarchar(30) not null default '',
	"inchargepst" nvarchar(30) not null default '',
	"inchargembl" nvarchar(30) not null default '',
	"inchargemail" nvarchar(200) not null default '',
	"liaison" nvarchar(30) not null default '',
	"liaisonpst" nvarchar(30) not null default '',
	"liaisonmbl" nvarchar(30) not null default '',
	"liaisonmail" nvarchar(100) not null default '',
	"liaison2" nvarchar(30) not null default '',
	"liaisonpst2" nvarchar(30) not null default '',
	"liaisonmbl2" nvarchar(30) not null default '',
	"liaisonmail2" nvarchar(100) not null default '',
	"tel" nvarchar(50) not null default '',
	"tel2" nvarchar(50) not null default '',
	"fax" nvarchar(50) not null default '',
	"fax2" nvarchar(50) not null default '',
	"unitno" nvarchar(20) not null default '',
	"comaddr" nvarchar(200) not null default '',
	"addr" nvarchar(200) not null default '',
	"unittitle" nvarchar(100) not null default '',
	"unitaddr" nvarchar(200) not null default '',
	"dcaddr" nvarchar(200) not null default '',
	"areaid" nvarchar(10) not null default '',
	"hrid" nvarchar(10) not null default '',
	"prvdclsid" nvarchar(10) not null default '',
	"tostkid" nvarchar(10) not null default '',
	"checktitle" nvarchar(50) not null default '',
	
	"homepage" nvarchar(100) not null default '',
	"opentime" nvarchar(100) not null default '',
	"formula" nvarchar(100) not null default '',
	"bkformula" nvarchar(100) not null default '',
	"odrformula" nvarchar(100) not null default '',
	
	"closeday" tinyint  not null default 25,
	"swtax" tinyint  not null default 1,
	"swclose" tinyint  not null default 1,
	"swstate" tinyint  not null default 1,
	"aptotal" decimal(19,4) not null default 0,
	"inendingid" nvarchar(10) not null default '',
	"odrendingid" nvarchar(10) not null default '',
	
	"bsnsclsid" nvarchar(20) not null default '',
	"areaclsid" nvarchar(20) not null default '',
	"memo" ntext,
	"swdel" tinyint  not null default 0,
	 "taxrate" tinyint  not null default 0,
	
	"acdetailid" nvarchar(10) not null default '',
	"acupdater" nvarchar(50) not null default '',
	"acupdatetime" datetime2 not null default '0001-1-1',
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_prvd_name" on "prvd" (name);
!create index if not exists "ix_prvd_tel" on "prvd" (tel);
!create index if not exists "ix_prvd_unitno" on "prvd" (unitno);
!create index if not exists "ix_prvd_ltimer_id" on "prvd" (ltimer,id);


--**-----------------------------------------------------------------

!create table if not exists "instk"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"prvdid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"inorderid" nvarchar (20) not null default '',
	"invoiceno" nvarchar (30) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"incheckid" nvarchar (30) not null default '',
	"adjcostid" nvarchar (20) not null default '',
	"discount" decimal(19,4) not null default 0,
	"disct" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"swtax" tinyint  not null default 1,
	"invoicetype" tinyint  not null default 1,
	"payable" decimal(19,4) not null default 0,
	"cancelok" decimal(19,4) not null default 0,
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"swclose" tinyint  not null default 0,
	"payableaccid" nvarchar (10) not null default '',
	"stockaccid" nvarchar (10) not null default '',
	"taxaccid" nvarchar (10) not null default '',
	"discountaccid" nvarchar (10) not null default '',
	"disctaccid" nvarchar (10) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_instk_prvdid_tsdate" on "instk" (prvdid,tsdate);
!create index if not exists "ix_instk_tsdate" on "instk" (tsdate);
!create index if not exists "ix_instk_inorderid" on "instk" (inorderid);
!create index if not exists "ix_instk_invoiceno" on "instk" (invoiceno);
!create index if not exists "ix_instk_certno" on "instk" (certno);
!create index if not exists "ix_instk_incheckid" on "instk" (incheckid);
!create index if not exists "ix_instk_adjcostid" on "instk" (adjcostid);



!create table if not exists "instkdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"tsdate" date not null default '0001-1-1',
	"prvdid" nvarchar (20) not null default '',
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"subcost" decimal(19,4) not null default 0,
	"discount" decimal(19,4) not null default 0,
	"disct" nvarchar (5) not null default '',
	"swdel" tinyint  not null default 0,
	"isgift" tinyint  not null default 0,
	
	primary key (rela,no)
);
!create index if not exists "ix_instkdetail_itemid_tsdate" on "instkdetail" (itemid,tsdate);
!create index if not exists "ix_instkdetail_itemid_prvdid_tsdate" on "instkdetail" (itemid,prvdid,tsdate);



--**-----------------------------------------------------------------
!create table if not exists "instkbk"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"prvdid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"inorderid" nvarchar (20) not null default '',
	"invoiceno" nvarchar (30) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"incheckid" nvarchar (30) not null default '',
	"adjcostid" nvarchar (20) not null default '',
	"discount" decimal(19,4) not null default 0,
	"disct" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"swtax" tinyint  not null default 1,
	"invoicetype" tinyint  not null default 1,
	"payable" decimal(19,4) not null default 0,
	"cancelok" decimal(19,4) not null default 0,
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"swclose" tinyint  not null default 0,
	"payableaccid" nvarchar (10) not null default '',
	"stockaccid" nvarchar (10) not null default '',
	"taxaccid" nvarchar (10) not null default '',
	"discountaccid" nvarchar (10) not null default '',
	"disctaccid" nvarchar (10) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_instkbk_prvdid_tsdate" on "instkbk" (prvdid,tsdate);
!create index if not exists "ix_instkbk_tsdate" on "instkbk" (tsdate);
!create index if not exists "ix_instkbk_inorderid" on "instkbk" (inorderid);
!create index if not exists "ix_instkbk_invoiceno" on "instkbk" (invoiceno);
!create index if not exists "ix_instkbk_certno" on "instkbk" (certno);
!create index if not exists "ix_instkbk_incheckid" on "instkbk" (incheckid);
!create index if not exists "ix_instkbk_adjcostid" on "instkbk" (adjcostid);



!create table if not exists "instkbkdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"tsdate" date not null default '0001-1-1',
	"prvdid" nvarchar (20) not null default '',
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"subcost" decimal(19,4) not null default 0,
	"discount" decimal(19,4) not null default 0,
	"disct" nvarchar (5) not null default '',
	"swdel" tinyint  not null default 0,
	"isgift" tinyint  not null default 0,
	
	primary key (rela,no)
);
!create index if not exists "ix_instkbkdetail_itemid_tsdate" on "instkbkdetail" (itemid,tsdate);
!create index if not exists "ix_instkbkdetail_itemid_prvdid_tsdate" on "instkbkdetail" (itemid,prvdid,tsdate);





--**-----------------------------------------------------------------
!create table if not exists "apadj"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"prvdid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"invoiceno" nvarchar (30) not null default '',
	"adjcostid" nvarchar (20) not null default '',
	
	"acc" smallint  not null default 0,
	"acctext" nvarchar (30) not null default '',
	"tstype" tinyint  not null default 0,
	"accmny" decimal(19,4) not null default 0,
	"cancelok" decimal(19,4) not null default 0,
	"swcost" tinyint  not null default 0,
	
	"begdate" date not null default '0001-1-1',
	"enddate" date not null default '0001-1-1',
	"accmnyok" decimal(19,4) not null default 0,
	
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"accodeid" nvarchar (10) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_apadj_prvdid_tsdate" on "apadj" (prvdid,tsdate);
!create index if not exists "ix_apadj_tsdate" on "apadj" (tsdate);
!create index if not exists "ix_apadj_certno" on "apadj" (certno);
!create index if not exists "ix_apadj_adjcostid" on "apadj" (adjcostid);



--**-----------------------------------------------------------------

!create table if not exists "apcancel"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"prvdid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"ckbankid" nvarchar (20) not null default '',
	"checkno" nvarchar (30) not null default '',
	"checkdate" date not null default '0001-1-1',
	"checkmny" decimal(19,4) not null default 0,
	"cashmny" decimal(19,4) not null default 0,
	"remitmny" decimal(19,4) not null default 0,
	"cardmny" decimal(19,4) not null default 0,
	"expmny" decimal(19,4) not null default 0,
	"othermny" decimal(19,4) not null default 0,
	"checkaccid" nvarchar (10) not null default '',
	"cashaccid" nvarchar (10) not null default '',
	"remitaccid" nvarchar (10) not null default '',
	"cardaccid" nvarchar (10) not null default '',
	"expaccid" nvarchar (10) not null default '',
	"otheraccid" nvarchar (10) not null default '',
	
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"othercode" nvarchar (10) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_apcancel_tsdate" on "apcancel" (tsdate);
!create index if not exists "ix_apcancel_prvdid_tsdate" on "apcancel" (prvdid,tsdate);
!create index if not exists "ix_apcancel_certno" on "apcancel" (certno);


!create table if not exists "apcanceldetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"tsdate" date not null default '0001-1-1',
	"listid" nvarchar (30) not null default '',
	"cancelok" decimal(19,4) not null default 0,
	"swdel" tinyint  not null default 0,
	
	primary key (rela,no)
);
!create index if not exists "ix_apcanceldetail_listid_tsdate" on "apcanceldetail" (listid,tsdate);


--**-----------------------------------------------------------------
!create table if not exists "ckbank"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(50) not null default '',
	"liaison" nvarchar(30) not null default '',
	"liaisonpst" nvarchar(30) not null default '',
	"liaisonmbl" nvarchar(30) not null default '',
	"tel" nvarchar(50) not null default '',
	"fax" nvarchar(50) not null default '',
	"addr" nvarchar(200) not null default '',
	"accno" nvarchar(30) not null default '',
	"accname" nvarchar(30) not null default '',
	"swtype" tinyint  not null default 0,
	"accompid" nvarchar(4) not null default '',
	"accodeid" nvarchar(20) not null default '',
	"acdetailid" nvarchar(10) not null default '',
	"initmny" decimal(19,4) not null default 0,
	"tranmny" decimal(19,4) not null default 0,
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_ckbank_swtype_id" on "ckbank" (swtype,id);










--**-----------------------------------------------------------------
!create table if not exists "cust"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(30) not null default '',
	"fullname" nvarchar(60) not null default '',
	"incharge" nvarchar(30) not null default '',
	"inchargepst" nvarchar(30) not null default '',
	"inchargembl" nvarchar(30) not null default '',
	"inchargemail" nvarchar(200) not null default '',
	"liaison" nvarchar(30) not null default '',
	"liaisonpst" nvarchar(30) not null default '',
	"liaisonmbl" nvarchar(30) not null default '',
	"liaisonmail" nvarchar(100) not null default '',
	"liaison2" nvarchar(30) not null default '',
	"liaisonpst2" nvarchar(30) not null default '',
	"liaisonmbl2" nvarchar(30) not null default '',
	"liaisonmail2" nvarchar(100) not null default '',
	"tel" nvarchar(50) not null default '',
	"tel2" nvarchar(50) not null default '',
	"fax" nvarchar(50) not null default '',
	"fax2" nvarchar(50) not null default '',
	"unitno" nvarchar(20) not null default '',
	"comaddr" nvarchar(200) not null default '',
	"addr" nvarchar(200) not null default '',
	"unittitle" nvarchar(100) not null default '',
	"unitaddr" nvarchar(200) not null default '',
	"dcaddr" nvarchar(200) not null default '',
	"areaid" nvarchar(10) not null default '',
	"hrid" nvarchar(10) not null default '',
	"custclsid" nvarchar(10) not null default '',
	"tostkid" nvarchar(10) not null default '',
	
	"homepage" nvarchar(50) not null default '',
	"opentime" nvarchar(100) not null default '',
	"formula" nvarchar(100) not null default '',
	"bkformula" nvarchar(100) not null default '',
	"odrformula" nvarchar(100) not null default '',
	
	"closeday" tinyint  not null default 25,
	"swtax" tinyint  not null default 1,
	"swclose" tinyint  not null default 1,
	"swstate" tinyint  not null default 1,
	"artotal" decimal(19,4) not null default 0,
	"araccept" decimal(19,4) not null default 0,
	"swaccept" tinyint  not null default 1,
	"outendingid" nvarchar(10) not null default '',
	"odrendingid" nvarchar(10) not null default '',
	
	"bsnsclsid" nvarchar(20) not null default '',
	"areaclsid" nvarchar(20) not null default '',
	"memo" ntext,
	"swdel" tinyint  not null default 0,
	"taxrate" tinyint  not null default 0,
	"isstopcustprice" tinyint  not null default 0,
	"swsignprice" tinyint  not null default 1,
	
	"acdetailid" nvarchar(10) not null default '',
	"acupdater" nvarchar(50) not null default '',
	"acupdatetime" datetime2 not null default '0001-1-1',
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_cust_name" on "cust" (name);
!create index if not exists "ix_cust_tel" on "cust" (tel);
!create index if not exists "ix_cust_unitno" on "cust" (unitno);
!create index if not exists "ix_cust_ltimer_id" on "cust" (ltimer,id);



--**-----------------------------------------------------------------
!create table if not exists "custprice"(
	"custid" nvarchar(20) not null default '',
	"itemid" nvarchar(30) not null default '',
	"price" decimal(16,4) not null default 0,
	"fixprice" decimal(16,4) not null default 0,
	"lowprice" decimal(16,4) not null default 0,
	"batprice" decimal(16,4) not null default 0,
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (custid,itemid)
);
!create index if not exists "ix_custprice_itemid_custid" on "custprice" (itemid,custid);



--**-----------------------------------------------------------------
!create table if not exists "outstk"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"custid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"outorderid" nvarchar (20) not null default '',
	"invoiceno" nvarchar (30) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"adjincomeid" nvarchar (20) not null default '',
	"discount" decimal(19,4) not null default 0,
	"disct" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"swtax" tinyint  not null default 1,
	"recable" decimal(19,4) not null default 0,
	"cancelok" decimal(19,4) not null default 0,
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"swclose" tinyint  not null default 0,
	"recableaccid" nvarchar (10) not null default '',
	"incomeaccid" nvarchar (10) not null default '',
	"stockaccid" nvarchar (10) not null default '',
	"costaccid" nvarchar (10) not null default '',
	"taxaccid" nvarchar (10) not null default '',
	"discountaccid" nvarchar (10) not null default '',
	"disctaccid" nvarchar (10) not null default '',
	"memberid" nvarchar (20) not null default '',
	"recname" nvarchar(50) not null default '',
	"rectel" nvarchar(50) not null default '',
	"recmobile" nvarchar(50) not null default '',
	"recaddr" nvarchar(200) not null default '',

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_outstk_custid_tsdate" on "outstk" (custid,tsdate);
!create index if not exists "ix_outstk_hrid_tsdate" on "outstk" (hrid,tsdate);
!create index if not exists "ix_outstk_tsdate" on "outstk" (tsdate);
!create index if not exists "ix_outstk_outorderid" on "outstk" (outorderid);
!create index if not exists "ix_outstk_invoiceno" on "outstk" (invoiceno);
!create index if not exists "ix_outstk_certno" on "outstk" (certno);
!create index if not exists "ix_outstk_adjincomeid" on "outstk" (adjincomeid);


!create table if not exists "outstkdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"tsdate" date not null default '0001-1-1',
	"custid" nvarchar (20) not null default '',
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"subincome" decimal(19,4) not null default 0,
	"discount" decimal(19,4) not null default 0,
	"disct" nvarchar (5) not null default '',
	"swdel" tinyint  not null default 0,
	"cost" decimal(16,4) not null default 0,
	"chkcost" tinyint  not null default 0,
	"usrcost" decimal(16,4) not null default 0,
	"atcost" decimal(16,4) not null default 0,
	"isgift" tinyint  not null default 0,
	
	primary key (rela,no)
);
!create index if not exists "ix_outstkdetail_itemid_tsdate" on "outstkdetail" (itemid,tsdate);
!create index if not exists "ix_outstkdetail_tsdate" on "outstkdetail" (tsdate);
!create index if not exists "ix_outstkdetail_itemid_custid_tsdate" on "outstkdetail" (itemid,custid,tsdate);




--**-----------------------------------------------------------------
!create table if not exists "outstkbk"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"custid" nvarchar (20) not null default '',
	"memberid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"outorderid" nvarchar (20) not null default '',
	"invoiceno" nvarchar (30) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"adjincomeid" nvarchar (20) not null default '',
	"discount" decimal(19,4) not null default 0,
	"disct" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"swtax" tinyint  not null default 1,
	"recable" decimal(19,4) not null default 0,
	"cancelok" decimal(19,4) not null default 0,
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"swclose" tinyint  not null default 0,
	"recableaccid" nvarchar (10) not null default '',
	"incomeaccid" nvarchar (10) not null default '',
	"stockaccid" nvarchar (10) not null default '',
	"costaccid" nvarchar (10) not null default '',
	"taxaccid" nvarchar (10) not null default '',
	"discountaccid" nvarchar (10) not null default '',
	"disctaccid" nvarchar (10) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_outstkbk_custid_tsdate" on "outstkbk" (custid,tsdate);
!create index if not exists "ix_outstkbk_hrid_tsdate" on "outstkbk" (hrid,tsdate);
!create index if not exists "ix_outstkbk_tsdate" on "outstkbk" (tsdate);
!create index if not exists "ix_outstkbk_outorderid" on "outstkbk" (outorderid);
!create index if not exists "ix_outstkbk_invoiceno" on "outstkbk" (invoiceno);
!create index if not exists "ix_outstkbk_certno" on "outstkbk" (certno);
!create index if not exists "ix_outstkbk_adjincomeid" on "outstkbk" (adjincomeid);


!create table if not exists "outstkbkdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"tsdate" date not null default '0001-1-1',
	"custid" nvarchar (20) not null default '',
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"subincome" decimal(19,4) not null default 0,
	"discount" decimal(19,4) not null default 0,
	"disct" nvarchar (5) not null default '',
	"swdel" tinyint  not null default 0,
	"cost" decimal(16,4) not null default 0,
	"chkcost" tinyint  not null default 0,
	"usrcost" decimal(16,4) not null default 0,
	"atcost" decimal(16,4) not null default 0,
	"isgift" tinyint  not null default 0,
	
	primary key (rela,no)
);
!create index if not exists "ix_outstkbkdetail_itemid_tsdate" on "outstkbkdetail" (itemid,tsdate);
!create index if not exists "ix_outstkbkdetail_tsdate" on "outstkbkdetail" (tsdate);
!create index if not exists "ix_outstkbkdetail_itemid_custid_tsdate" on "outstkbkdetail" (itemid,custid,tsdate);


--**-----------------------------------------------------------------
!create table if not exists "aradj"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"custid" nvarchar (20) not null default '',
	"memberid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"invoiceno" nvarchar (30) not null default '',
	"adjincomeid" nvarchar (20) not null default '',
	
	"acc" smallint  not null default 0,
	"acctext" nvarchar (30) not null default '',
	"tstype" tinyint  not null default 0,
	"accmny" decimal(19,4) not null default 0,
	"cancelok" decimal(19,4) not null default 0,
	"swincome" tinyint  not null default 0,
	
	"begdate" date not null default '0001-1-1',
	"enddate" date not null default '0001-1-1',
	"accmnyok" decimal(19,4) not null default 0,
	
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"accodeid" nvarchar (10) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_aradj_custid_tsdate" on "aradj" (custid,tsdate);
!create index if not exists "ix_aradj_hrid_tsdate" on "aradj" (hrid,tsdate);
!create index if not exists "ix_aradj_tsdate" on "aradj" (tsdate);
!create index if not exists "ix_aradj_invoiceno" on "aradj" (invoiceno);
!create index if not exists "ix_aradj_certno" on "aradj" (certno);
!create index if not exists "ix_aradj_adjincomeid" on "aradj" (adjincomeid);



--**-----------------------------------------------------------------

!create table if not exists "arcancel"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"custid" nvarchar (20) not null default '',
	"memberid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"ckbankid" nvarchar (20) not null default '',
	"checkno" nvarchar (30) not null default '',
	"checkdate" date not null default '0001-1-1',
	"checkmny" decimal(19,4) not null default 0,
	"cashmny" decimal(19,4) not null default 0,
	"remitmny" decimal(19,4) not null default 0,
	"cardmny" decimal(19,4) not null default 0,
	"expmny" decimal(19,4) not null default 0,
	"othermny" decimal(19,4) not null default 0,
	"checkaccid" nvarchar (10) not null default '',
	"cashaccid" nvarchar (10) not null default '',
	"remitaccid" nvarchar (10) not null default '',
	"cardaccid" nvarchar (10) not null default '',
	"expaccid" nvarchar (10) not null default '',
	"otheraccid" nvarchar (10) not null default '',
	
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"othercode" nvarchar (10) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_arcancel_tsdate" on "arcancel" (tsdate);
!create index if not exists "ix_arcancel_custid_tsdate" on "arcancel" (custid,tsdate);
!create index if not exists "ix_arcancel_certno" on "arcancel" (certno);


!create table if not exists "arcanceldetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"tsdate" date not null default '0001-1-1',
	"listid" nvarchar (30) not null default '',
	"cancelok" decimal(19,4) not null default 0,
	"swdel" tinyint  not null default 0,
	
	primary key (rela,no)
);
!create index if not exists "ix_arcanceldetail_listid_tsdate" on "arcanceldetail" (listid,tsdate);















!create table if not exists "itempst"(
	"stkid" nvarchar(10) not null default '',
	"itemid" nvarchar(30) not null default '',
	"pstid" nvarchar(50) not null default '',
	"memo" nvarchar(250) not null default '',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	primary key (stkid,itemid,pstid)
);
!create index if not exists "ix_itempst_stkid_pstid_itemid" on "itempst" (stkid,pstid,itemid);

!create table if not exists "itempstdeletelog"(
	"id" bigint  not null identity(1,1),
	"stkid" nvarchar(10) not null default '',
	"itemid" nvarchar(30) not null default '',
	"state" tinyint  not null default 0,
	"pstid" nvarchar(50) not null default '',
	"pstid2" nvarchar(50) not null default '',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	primary key (id)
);
!create index if not exists "ix_itempstdeletelog_stkid_itemid" on "itempstdeletelog" (stkid,itemid);



--**-----------------------------------------------------------------


--**-----------------------------------------------------------------

!create table if not exists "outorder"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"outdate" date not null default '0001-1-1',
	"custid" nvarchar (20) not null default '',
	"swout" smallint  not null default 0,
	"hrid" nvarchar (10) not null default '',
	"invoiceno" nvarchar (30) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"packno" nvarchar (30) not null default '',
	"discount" decimal(19,4) not null default 0,
	"disct" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"swtax" tinyint  not null default 0,
	"recable" decimal(19,4) not null default 0,
	"carr" decimal(19,4) not null default 0,
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swclose" tinyint  not null default 0,
	"iscloselist" tinyint  not null default 0,
	"ispack" tinyint  not null default 0,
	"isoutstk" tinyint  not null default 0,
	"sweditmode" tinyint  not null default 0,
	"managerx" nvarchar(20) not null default '~',
	"memberid" nvarchar (20) not null default '',
	"recname" nvarchar(50) not null default '',
	"rectel" nvarchar(50) not null default '',
	"recmobile" nvarchar(50) not null default '',
	"recaddr" nvarchar(200) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_outorder_tsdate" on "outorder" (tsdate);
!create index if not exists "ix_outorder_custid_tsdate" on "outorder" (custid,tsdate);
!create index if not exists "ix_outorder_batchno" on "outorder" (batchno);
!create index if not exists "ix_outorder_certno" on "outorder" (certno);


!create table if not exists "outorderdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"isclose" tinyint  not null default 0,
	"outdate" date not null default '0001-1-1',
	"outqty" decimal(15,4) not null default 0,
	"swdel" tinyint  not null default 0,
	"isgift" tinyint  not null default 0,
	"disct" nvarchar (5) not null default '',
	"packindex" smallint  not null default 0,
	"packqty" decimal(15,4) not null default 0,

	primary key (rela,no)
);
!create index if not exists "ix_outorderdetail_itemid" on "outorderdetail" (itemid);


--**-----------------------------------------------------------------
!create table if not exists "memorder"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"custid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"certno" nvarchar (30) not null default '',
	"discount" decimal(19,4) not null default 0,
	"disct" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"swtax" tinyint  not null default 0,
	"recable" decimal(19,4) not null default 0,
	"carr" decimal(19,4) not null default 0,
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"iscloselist" tinyint  not null default 0,
	"isoutorder" tinyint  not null default 0,
	"memberid" nvarchar (20) not null default '',
	"recname" nvarchar(50) not null default '',
	"rectel" nvarchar(50) not null default '',
	"recmobile" nvarchar(50) not null default '',
	"recaddr" nvarchar(200) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_memorder_tsdate" on "memorder" (tsdate);


!create table if not exists "memorderdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"isclose" tinyint  not null default 0,
	"swdel" tinyint  not null default 0,
	"isgift" tinyint  not null default 0,
	"disct" nvarchar (5) not null default '',

	primary key (rela,no)
);




--**-----------------------------------------------------------------

!create table if not exists "outquot"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"expdate" date not null default '0001-1-1',
	"custid" nvarchar (20) not null default '',
	"memberid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"discount" decimal(19,4) not null default 0,
	"disct" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"swtax" tinyint  not null default 0,
	"recable" decimal(19,4) not null default 0,
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swclose" tinyint  not null default 0,
	"iscloselist" tinyint  not null default 0,
	"custname" nvarchar(100) not null default '',
	"custtel" nvarchar(50) not null default '',
	"custfax" nvarchar(50) not null default '',
	"custliaison" nvarchar(50) not null default '',
	 "custaddr" nvarchar(200) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_outquot_tsdate" on "outquot" (tsdate);
!create index if not exists "ix_outquot_certno" on "outquot" (certno);


!create table if not exists "outquotdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"isclose" tinyint  not null default 0,
	"expdate" date not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"isgift" tinyint  not null default 0,
	"disct" nvarchar (5) not null default '',
	"memo" nvarchar (250) not null default '',
	
	primary key (rela,no)
);



--**-----------------------------------------------------------------
!create table if not exists "inorder"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"indate" date not null default '0001-1-1',
	"prvdid" nvarchar (20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"invoiceno" nvarchar (30) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"discount" decimal(19,4) not null default 0,
	"disct" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"swtax" tinyint  not null default 0,
	"payable" decimal(19,4) not null default 0,
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swclose" tinyint  not null default 0,
	"iscloselist" tinyint  not null default 0,
	"managerx" nvarchar(20) not null default '~',
		
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_inorder_tsdate" on "inorder" (tsdate);
!create index if not exists "ix_inorder_batchno" on "inorder" (batchno);
!create index if not exists "ix_inorder_certno" on "inorder" (certno);


!create table if not exists "inorderdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"isclose" tinyint  not null default 0,
	"indate" date not null default '0001-1-1',
	"inqty" decimal(15,4) not null default 0,
	"swdel" tinyint  not null default 0,
	"isgift" tinyint  not null default 0,
	"disct" nvarchar (5) not null default '',
	
	primary key (rela,no)
);
!create index if not exists "ix_inorderdetail_itemid" on "inorderdetail" (itemid);



--**-----------------------------------------------------------------


--**-----------------------------------------------------------------



--**-----------------------------------------------------------------


--**-----------------------------------------------------------------


--**-----------------------------------------------------------------

--**-----------------------------------------------------------------















	

!create table if not exists "chkinitqty"(
	"stkid" nvarchar (10) not null default '',
	"itemid" nvarchar (30) not null default '',
	"cost" decimal(16,4) not null default 0,
	"incost" decimal(16,4) not null default 0,
	"nowavgcost" decimal(16,4) not null default 0,
	"avgcost" decimal(16,4) not null default 0,
	"isvirtual" tinyint  not null default 0,
	"stock" decimal(17,4) not null default 0,
	"chkqty" decimal(17,4) not null default 0,
	"pstqty" decimal(17,4) not null default 0,
	"mapping" nvarchar (30) not null default '',
	"swcheck" tinyint  not null default 0,
	"endstock" decimal(17,4) not null default 0,
	
	primary key (stkid,itemid)
);




--**-----------------------------------------------------------------
!create table if not exists "chkstk"(
	"listno" nvarchar (20) not null default '',
	"stkid" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	"hrid" nvarchar (10) not null default '',
	"hrid2" nvarchar (10) not null default '',
	"hrid3" nvarchar (10) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"swtype" tinyint  not null default 0,
	"memo" nvarchar (250) not null default '',
	"swadj" tinyint  not null default 0,
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_chkstk_certno" on "chkstk" (certno);
!create index if not exists "ix_chkstk_batchno" on "chkstk" (batchno);


!create table if not exists "chkstkdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"itemid" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"pst1" nvarchar (50) not null default '',
	"pst2" nvarchar (50) not null default '',
	"pst3" nvarchar (50) not null default '',
	"pst4" nvarchar (50) not null default '',
	"stkid" nvarchar (10) not null default '',
	
	primary key (rela,no)
);
!create index if not exists "ix_chkstkdetail_stkid_itemid" on "chkstkdetail" (stkid,itemid);



--**-----------------------------------------------------------------










!create table if not exists "nodeacct"(
	"id" nvarchar (10) not null default '',
	"name" nvarchar(100) not null default '',
	
	"regpassword" nvarchar (20) not null default '',
	 "code" smallint  not null default 0,
	"regserial" nvarchar (30) not null default '',
	 "swstate" tinyint  not null default 0,
	"workhost" nvarchar (200) not null default '',

	
	
	

	"saledatebef" integer not null default -24,
	"saledateaft" integer not null default 24,
	"saledateadjust" nvarchar (200) not null default '',
	"starttime" datetime2 not null default '0001-1-1',
	"stoptime" datetime2 not null default '0001-1-1',
	"memo" nvarchar (250) not null default '',
	
	
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);

--**-------------------------------------------------------------------
!create table if not exists "nodeacctctrl"(
	"nodeid" nvarchar (10) not null default '',
	"tranid" nvarchar (50) not null default '',
	"ltimer" bigint  not null default 0,
	"lvalue" nvarchar (50) not null default '',
	"swbeg" tinyint  not null default 0,
	"begtime" datetime2 not null default '0001-1-1',
	"swstate" tinyint  not null default 0,
	"workorder" tinyint  not null default 0,
	"tableid" nvarchar(50) not null default '',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (nodeid,tranid)
);

--**-------------------------------------------------------------------
!create table if not exists "nodeacctcheck"(
	"nodeid" nvarchar (10) not null default '',
	"stkid" nvarchar (10) not null default '',
	"cashno" nvarchar (100) not null default '',
	    "exstkid" nvarchar (10) not null default '',
	
	primary key (nodeid,stkid)
);

--**-------------------------------------------------------------------
!create table if not exists "nodeacctconvert"(
	"id" bigint  not null,
	"swtype" smallint  not null default 1,
	"stklist" nvarchar (250) not null default '',
	"clientid" nvarchar (50) not null default '',
	"mainid" nvarchar (50) not null default '',
	"begtime" date not null default '0001-1-1',
	"endtime" date not null default '0001-1-1',
	"memo" nvarchar (250) not null default '',

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id),
	unique (swtype,clientid)
);



--**-------------------------------------------------------------------
!create table if not exists "cashreg"(
	"id" nvarchar (10) not null default '',
	"stkid" nvarchar (10) not null default '',
	"cashno" nvarchar (10) not null default '01',
	"name" nvarchar(100) not null default '',
	
	"saledatebef" integer not null default -15,
	"saledateaft" integer not null default 15,
	"saledateadjust" nvarchar (200) not null default '',
 	
	"swreg" tinyint  not null default 0,
	"regpassword" nvarchar (20) not null default '',
	 "code" smallint  not null default 0,
	"swstate" tinyint  not null default 0,
	"workhost" nvarchar (100) not null default '',
	"swchgregpwd" tinyint  not null default 0,
	
	"title" nvarchar (50) not null default '',
	 "compname" nvarchar (50) not null default '',
	 "posname" nvarchar (50) not null default '',
	 "addr" nvarchar (100) not null default '',
	 "unitno" nvarchar (50) not null default '',
	 "tel" nvarchar (50) not null default '',
	 "adminid" nvarchar (20) not null default '',
	"adminpwd" nvarchar (20) not null default '',
 	
	 "memo" nvarchar(250) not null default '',
	"lastlogintime" datetime2 not null default '0001-1-1',
	"lasttime" datetime2 not null default '0001-1-1',
	"lastmemo" nvarchar(250) not null default '',

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);

insert ignore cashreg (id,creater,createTime) values ('CH00001','#sys',[##NOW]);
update bjn_tableState set count=(select count(id) from cashreg), last=[##LTIMER] where id='cashreg';


--**-------------------------------------------------------------------
!create table if not exists "sale"(
	"listno" nvarchar (25) not null default '',
	"stkid" nvarchar (10) not null default '',
	"cashno" nvarchar (10) not null default '',
	"tsdate" date not null default '0001-1-1',
	
	"saletime" datetime2 not null default '0001-1-1',
	"salehr" tinyint  not null default 0,
	"deparid" nvarchar (10) not null default '',
	"casher" nvarchar (10) not null default '',
	"seller" nvarchar (10) not null default '',
	"cuslvl" nvarchar (10) not null default '',
	"memberid" nvarchar (20) not null default '',
	"memberid2" nvarchar (20) not null default '',
	"custid" nvarchar (20) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"discount" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"recable" decimal(19,4) not null default 0,
	"income" decimal(19,4) not null default 0,
	"cancelok" decimal(19,4) not null default 0,
	"memo" nvarchar (250) not null default '',
	
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	"isbomadj" tinyint  not null default 0,
	"exlistno" nvarchar (30) not null default '',
	
	"paycash" decimal(19,4) not null default 0,
	"paycard" decimal(19,4) not null default 0,
	"salebk" decimal(19,4) not null default 0,
	"hxcounterid" nvarchar (20) not null default '',
	"hxdaytime" datetime2 not null default '0001-1-1',

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	"ltimer" bigint  not null default 99,
	
	primary key (listno)
);
!create index if not exists "ix_sale_ltimer_listno" on "sale" (ltimer,listno);
!create index if not exists "ix_sale_memberid_tsdate" on "sale" (memberid,tsdate);
!create index if not exists "ix_sale_tsdate_stkid_cashno" on "sale" (tsdate,stkid,cashno);


!create table if not exists "saledetail"(
	"rela" nvarchar (25) not null default '',
	"no" smallint  not null default 0,
	"tsdate" date not null default '0001-1-1',
	"itemid" nvarchar (30) not null default '',
	"itemid2" nvarchar (30) not null default '',
	"qty" decimal(15,4) not null default 0,
	"price" decimal(16,4) not null default 0,
	"subtotal" decimal(19,4) not null default 0,
	"subincome" decimal(19,4) not null default 0,
	"discount" decimal(19,4) not null default 0,
	"memo" nvarchar (200) not null default '',
	"cost" decimal(16,4) not null default 0,
	"chkcost" tinyint  not null default 0,
	"usrcost" decimal(16,4) not null default 0,
	"atcost" decimal(16,4) not null default 0,
	"isgift" tinyint  not null default 0,
	"disct" nvarchar (5) not null default '',
	
	primary key (rela,no)
);
!create index if not exists "ix_saledetail_itemid_tsdate" on "saledetail" (itemid,tsdate);
!create index if not exists "ix_saledetail_tsdate" on "saledetail" (tsdate);


!create table if not exists "salepay"(
	"rela" nvarchar (25) not null default '',
	"no" smallint  not null default 0,
	"payid" nvarchar (10) not null default '',
	"payid2" nvarchar (10) not null default '',
	"money" decimal(19,4) not null default 0,
	"certno" nvarchar (50) not null default '',
	"memo" nvarchar (200) not null default '',
	
	primary key (rela,no)
);



--**-----------------------------------------------------------------
!create table if not exists "paymode"(
	"id" nvarchar (10) not null default '',
	"name" nvarchar (100) not null default '',
	"keyname" nvarchar (100) not null default '',
	"memo" nvarchar (200) not null default '',
	"accodeid" nvarchar (10) not null default '',
	"swdel" tinyint  not null default 0,
	"ltimer" bigint  not null default 99,
	"isnouse" tinyint  not null default 0,
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_paymode_ltimer_id" on "paymode" (ltimer,id);


insert ignore bjn_tableState values('payMode',0,0,0,''); 
insert ignore payMode set id='01',name='現金||现金', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='02',name='刷卡||刷卡', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='03',name='禮券||礼券', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='11',name='儲值卡||储值卡', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='12',name='聯合卡||联合卡', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='99',name='其他||其他', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
update bjn_tableState set count=(select count(id) from payMode), last=[##LTIMER] where id='payMode';



--**-----------------------------------------------------------------
!create table if not exists "outinvoice"(
	"id" nvarchar (30) not null default '',
	"tsdate" date not null default '0001-1-1',
	"certno" nvarchar (30) not null default '',
	"stkid" nvarchar (10) not null default '',
	"cashno" nvarchar (10) not null default '',
	"title" nvarchar (100) not null default '',
	"total" decimal(19,4) not null default 0,
	"free" decimal(19,4) not null default 0,
	"tax" decimal(19,4) not null default 0,
	"unitno" nvarchar (30) not null default '',
	"memo" nvarchar (250) not null default '',
	"swdel" tinyint  not null default 0,
	"deldate" date not null default '0001-1-1',
	"listtype" tinyint  not null default 1,
	"taxtype" tinyint  not null default 1,
	"listtime" datetime2 not null default '0001-1-1',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	"ltimer" bigint  not null default 99,
	
	primary key (id)
);
!create index if not exists "ix_outinvoice_ltimer_id" on "outinvoice" (ltimer,id);
!create index if not exists "ix_outinvoice_certno" on "outinvoice" (certno);
!create index if not exists "ix_outinvoice_tsdate_stkid_cashno" on "outinvoice" (tsdate,stkid,cashno);
!create index if not exists "ix_outinvoice_deldate_stkid" on "outinvoice" (deldate,stkid);







--**-----------------------------------------------------------------
!create table if not exists "member"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(50) not null default '',
	"birthday" date not null default '0001-1-1',
	"sex" tinyint  not null default 1,
	"idno" nvarchar(30) not null default '',
	"occupation" nvarchar(30) not null default '',
	"position" nvarchar(30) not null default '',
	"tel" nvarchar(50) not null default '',
	"mobile" nvarchar(50) not null default '',
	"fax" nvarchar(50) not null default '',
	"addr" nvarchar(200) not null default '',
	"zip" nvarchar(10) not null default '',
	"accaddr" nvarchar(200) not null default '',
	"fixtel" nvarchar(50) not null default '',
	"fixaddr" nvarchar(200) not null default '',
	"areaid" nvarchar(10) not null default '',
	"hrid" nvarchar(10) not null default '',
	
	"taxtype" tinyint  not null default 0,
	"unitno" nvarchar(30) not null default '',
	"unittitle" nvarchar(100) not null default '',
	"unitaddr" nvarchar(200) not null default '',
	
	"stkid" nvarchar(10) not null default '',
	"membercardid" nvarchar(30) not null default '',
	"memberclsid" nvarchar(10) not null default '',
	
	"email" nvarchar(200) not null default '',
	"formula" nvarchar(100) not null default '',
	"odrformula" nvarchar(100) not null default '',
	
	"closeday" tinyint  not null default 25,
	"swtax" tinyint  not null default 0,
	"swclose" tinyint  not null default 1,
	"swstate" tinyint  not null default 0,

	"swsumkey" tinyint  not null default 0,
	"outcount" integer  not null default 0,
	"outtotal" decimal(19,4) not null default 0,
	"bktotal" decimal(19,4) not null default 0,
	"artotal" decimal(19,4) not null default 0,
	"outendingid" nvarchar(10) not null default '',
	"isimg" text,
	"inivalue" decimal(19,4) not null default 0,
	"nowvalue" decimal(19,4) not null default 0,
	"inipoint" decimal(19,4) not null default 0,
	"nowpoint" decimal(19,4) not null default 0,
	"salepwd" nvarchar(30) not null default '',
	"addvaluepwd" nvarchar(30) not null default '',
	 "valueoutcount" integer  not null default 0,
	"valueouttotal" decimal(19,4) not null default 0,
	"valuebktotal" decimal(19,4) not null default 0,
	"swunitvalue" tinyint  not null default 0,
	
	"swugkey" tinyint  not null default 0,
	
	"memo" ntext,
	"swdel" tinyint  not null default 0,
	
	"acdetailid" nvarchar(10) not null default '',
	"acupdater" nvarchar(50) not null default '',
	"acupdatetime" datetime2 not null default '0001-1-1',

	"shopuserid" nvarchar(200) not null default '',
	"shopuserpwd" nvarchar(30) not null default '',
	"shopusername" nvarchar(50) not null default '',
	"shopcode" smallint  not null default 0,
	"shopstate" tinyint  not null default 0,
	"shoplogintimer" bigint  not null default 0,
	"shopsysctrl" ntext,
	"shopcustid" nvarchar(20) not null default '',
	"shopstkid" nvarchar(10) not null default '',
	"shophrid" nvarchar(10) not null default '',
	"shopformula" nvarchar(100) not null default '',
	"shopordermode" tinyint  not null default 0,
	"shopmessage" nvarchar(200) not null default '',
	
	"sellaccount" nvarchar(50) not null default '',
	"remiaccount" nvarchar(50) not null default '',
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_member_ltimer_id" on "member" (ltimer,id);
!create index if not exists "ix_member_idno" on "member" (idno);
!create index if not exists "ix_member_tel" on "member" (tel);
!create index if not exists "ix_member_membercardid" on "member" (membercardid);


--**-----------------------------------------------------------------
!create table if not exists "membercls"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(30) not null default '',
	"formula" nvarchar(100) not null default '',
	"ugformula" nvarchar(100) not null default '',
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,
	
	"ltimer" bigint  not null default 99,
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_membercls_ltimer_id" on "membercls" (ltimer,id);


--**-----------------------------------------------------------------

	
	









!create table if not exists "wkattend"(
	"id" bigint  not null,
	"time" datetime2 not null default '0001-1-1',
	"hrid" nvarchar(10) not null default '',
	"swwork" tinyint  not null default 1,
	"workmemo" nvarchar(30) not null default '',
	"memo" nvarchar(100) not null default '',
	"swdel" tinyint  not null default 0,
	"swadd" tinyint  not null default 0,
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (id)
);
!create index if not exists "ix_wkattend_time" on "wkattend" (time);





--**============================================================================
insert ignore bjn_tableState values('memberValue',0,0,0,''); 

!create table if not exists "membervalue"(
	"id" bigint not null default 0,
	"tsdate" date not null default '0001-1-1',
	"memberid" nvarchar(20) not null default '',
	"swrsn" tinyint  not null default 0,
	"value" decimal(19,4) not null default 0,
	"point" decimal(19,4) not null default 0,
	 "certno" nvarchar(30) not null default '',
	"membercardid" nvarchar(30) not null default '',
	"memberunionid" nvarchar(10) not null default '',
	"membersaleid" nvarchar(10) not null default '',
	"memo" nvarchar(250) not null default '',
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	 "swtype" tinyint  not null default 0,

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);
!create index if not exists "ix_membervalue_tsdate" on "membervalue" (tsdate);
!create index if not exists "ix_membervalue_memberid_tsdate" on "membervalue" (memberid,tsdate);


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('memberUnion',0,0,0,''); 

!create table if not exists "memberunion"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(50) not null default '',
	"loginid" nvarchar(30) not null default '',
	"loginpwd" nvarchar(30) not null default '',
	"swdel" tinyint  not null default 0,
	"swstate" tinyint  not null default 0,
	"memo" nvarchar(250) not null default '',
	"isconfig" tinyint  not null default 0,
	"isloginpwd" tinyint  not null default 0,
	"issalenovalue" tinyint  not null default 0,
	"swmembernamemode" tinyint  not null default 0,
	"islastsalemsg" tinyint  not null default 0,
		
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);
!create index if not exists "ix_memberunion_loginid" on "memberunion" (loginid);






--**============================================================================
insert ignore bjn_tableState values('hxCounter',0,0,0,''); 
!create table if not exists "hxcounter"(
	"id" nvarchar(20) not null default '',
	"innerid" nvarchar(20) not null default '',
	"codeid" nvarchar(20) not null default '',
	"name" nvarchar(50) not null default '',
	"stkid" nvarchar(4) not null default '',
	"deparid" nvarchar(10) not null default '',
	"hrid" nvarchar(10) not null default '',
	"hxprvdid" nvarchar(20) not null default '',
	"hxclassid" nvarchar(10) not null default '',
	"hxcontid" nvarchar(20) not null default '',
	"contstate" tinyint  not null default 0,
	"hxcontid2" nvarchar(20) not null default '',
	"floorac" nvarchar(5) not null default '',
	 "floorno" nvarchar(5) not null default '',
	 "areasize" decimal(8,3) not null default 0,
	"areaunit" tinyint  not null default 0,
	"usesize" decimal(8,3) not null default 0,
	"useunit" tinyint  not null default 0,
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,
	"swstate" tinyint  not null default 0,
	"acdetailid" nvarchar(10) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);
!create index if not exists "ix_hxcounter_innerid" on "hxcounter" (innerid);
!create index if not exists "ix_hxcounter_codeid" on "hxcounter" (codeid);


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxClass',0,0,0,''); 
!create table if not exists "hxclass"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(50) not null default '',
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxPay',0,0,0,''); 
!create table if not exists "hxpay"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(100) not null default '',
	"accodeid" nvarchar (20) not null default '',
	"accodeid2" nvarchar (20) not null default '',
	"param" decimal(19,4) not null default 0,
	"param2" decimal(19,4) not null default 0,
	"param3" decimal(19,4) not null default 0,
	"param4" decimal(19,4) not null default 0,
	"param5" decimal(19,4) not null default 0,
	
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);


insert ignore hxPay set id='01',name='月結應付款||月结应付款', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='02',name='進貨成本||进货成本', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='03',name='進貨退回||进货退回', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='04',name='進貨折讓||进货折让', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='05',name='進項稅||进项税', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='21',name='網路頻寬費||网路频宽费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='22',name='電話費||电话费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='23',name='水費||水费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='24',name='電費||电费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='25',name='租金||租金', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='26',name='廣告費||广告费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='27',name='裝潢費||装潢费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='28',name='修繕費||修缮费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='29',name='伙食費||伙食费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='30',name='代支雜費||代支杂费', acCodeId='', creater='#sys', createTime=[##NOW];

update bjn_tableState set count=(select count(id) from hxPay), last=[##LTIMER] where id='hxPay';


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxCont',0,0,0,''); 
!create table if not exists "hxcont"(
	"id" nvarchar(20) not null default '',
	"tsdate" date not null default '0001-1-1',
	"hxcounterid" nvarchar(20) not null default '',
	"certno" nvarchar(20) not null default '',
	"hrid" nvarchar(10) not null default '',
	"begdate" date not null default '0001-1-1',
	"enddate" date not null default '0001-1-1',
	"swtype" tinyint  not null default 0,
	
	"name" nvarchar(50) not null default '',
	"iscopyname" tinyint  not null default 0,
	"fullname" nvarchar(100) not null default '',
	"comaddr" nvarchar(200) not null default '',
	"addr" nvarchar(200) not null default '',
	"unitaddr" nvarchar(200) not null default '',
	"unitno" nvarchar(30) not null default '',
	 "bankno" nvarchar(50) not null default '',
	"bankname" nvarchar(100) not null default '',
	"banktitle" nvarchar(100) not null default '',
	"liaison" nvarchar(30) not null default '',
	"tel" nvarchar(50) not null default '',
	"fax" nvarchar(50) not null default '',
	"mobile" nvarchar(50) not null default '',
	"email" nvarchar(200) not null default '',
	
	"liaison2" nvarchar(30) not null default '',
	"tel2" nvarchar(50) not null default '',
	"fax2" nvarchar(50) not null default '',
	"mobile2" nvarchar(50) not null default '',
	"email2" nvarchar(200) not null default '',
	
	"liaison3" nvarchar(30) not null default '',
	"tel3" nvarchar(50) not null default '',
	"fax3" nvarchar(50) not null default '',
	"mobile3" nvarchar(50) not null default '',
	"email3" nvarchar(200) not null default '',
	"canceldate" date not null default '0001-1-1',
	"cancelmemo" nvarchar(100) not null default '',
	"backdate" date not null default '0001-1-1',
	"backmemo" nvarchar(100) not null default '',
	"swstate" tinyint  not null default 0,
	"checkdate" date not null default '0001-1-1',
	"swcheck" tinyint  not null default 0,
	"swcont" tinyint  not null default 0,
	"fixmny" decimal(19,4) not null default 0,
	"lowmny" decimal(19,4) not null default 0,
	"largmny" decimal(19,4) not null default 0,
	 "paytaxtype" tinyint  not null default 0,
	"paytaxrate" tinyint  not null default 0,

	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);
!create index if not exists "ix_hxcont_hxcounterid" on "hxcont" (hxcounterid);


!create table if not exists "hxcontpay"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"hxpayid" nvarchar (10) not null default '',
	"money" decimal(19,4) not null default 0,
	"formula" nvarchar (200) not null default '',
	 "memo" nvarchar (200) not null default '',

	primary key (rela,no)
);


!create table if not exists "hxcontitem"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"hxitemid" nvarchar (10) not null default '',
	"per" decimal(6,3) not null default 0,
	"minmny" decimal(19,4) not null default 0,
	"maxmny" decimal(19,4) not null default 0,
	 "memo" nvarchar (200) not null default '',

	primary key (rela,no)
);



--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxPayList',0,0,0,''); 
!create table if not exists "hxpaylist"(
	"listno" nvarchar(20) not null default '',
	"tsdate" date not null default '0001-1-1',
	"hxcounterid" nvarchar(20) not null default '',
	"hrid" nvarchar (10) not null default '',
	
	"invoiceno" nvarchar (30) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
 
	"hxpayid" nvarchar (10) not null default '',
	 "tax" decimal(19,4) not null default 0,
	"payable" decimal(19,4) not null default 0,
	"cancelok" decimal(19,4) not null default 0,
	"swmaker" tinyint  not null default 0,
	"maketime" datetime2 not null default '0001-1-1',
	 "makeext" nvarchar (30) not null default '',
	"salemny" decimal(19,4) not null default 0,
	"accodeid" nvarchar (10) not null default '',
	
	"memo" ntext,
	"swdel" tinyint  not null default 0,
	 "swcheck" tinyint  not null default 0,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swacc" tinyint  not null default 0,
	 "acperemid" nvarchar (20) not null default '',
	"accdate" date not null default '0001-1-1',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (listno)
);
!create index if not exists "ix_hxpaylist_hxcounterid_tsdate" on "hxpaylist" (hxcounterid,tsdate);
!create index if not exists "ix_hxpaylist_tsdate" on "hxpaylist" (tsdate);
!create index if not exists "ix_hxpaylist_certnoe" on "hxpaylist" (certno);


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxPayCancel',0,0,0,''); 
!create table if not exists "hxpaycancel"(
	"listno" nvarchar (20) not null default '',
	"tsdate" date not null default '0001-1-1',
	"hxcounterid" nvarchar(20) not null default '',
	"hrid" nvarchar (10) not null default '',
	
	"invoiceno" nvarchar (30) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	"ckbankid" nvarchar (20) not null default '',
	"checkno" nvarchar (30) not null default '',
	"checkdate" date not null default '0001-1-1',
	"checkmny" decimal(19,4) not null default 0,
	"cashmny" decimal(19,4) not null default 0,
	"remitmny" decimal(19,4) not null default 0,
	"cardmny" decimal(19,4) not null default 0,
	"expmny" decimal(19,4) not null default 0,
	"othermny" decimal(19,4) not null default 0,
	
	"memo" ntext,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"swdel" tinyint  not null default 0,
	"swcheck" tinyint  not null default 0,
	"swacc" tinyint  not null default 0,
	"accdate" date not null default '0001-1-1',
	"acperemid" nvarchar (20) not null default '',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',
	
	primary key (listno)
);
!create index if not exists "ix_hxpaycancel_tsdate" on "hxpaycancel" (tsdate);
!create index if not exists "ix_hxpaycancel_hxcounterid_tsdate" on "hxpaycancel" (hxcounterid,tsdate);
!create index if not exists "ix_hxpaycancel_certno" on "hxpaycancel" (certno);


!create table if not exists "hxpaycanceldetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"tsdate" date not null default '0001-1-1',
	"listid" nvarchar (30) not null default '',
	"cancelok" decimal(19,4) not null default 0,
	"swdel" tinyint  not null default 0,
	
	primary key (rela,no)
);
!create index if not exists "ix_hxpaycanceldetail_listid_tsdate" on "hxpaycanceldetail" (listid,tsdate);



--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxItem',0,0,0,''); 
!create table if not exists "hxitem"(
	"id" nvarchar(10) not null default '',
	"name" nvarchar(100) not null default '',
	"per" decimal(6,3) not null default 0,
	"minmny" decimal(19,4) not null default 0,
	"maxmny" decimal(19,4) not null default 0,
	"formula" nvarchar (200) not null default '',
	 "memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);


insert ignore hxItem set id='01',name='一折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='02',name='二折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='03',name='三折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='04',name='四折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='05',name='五折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='06',name='六折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='07',name='七折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='08',name='八折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='09',name='九折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='10',name='正品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='11',name='單筆大額||单笔大额', creater='#sys', createTime=[##NOW];

update bjn_tableState set count=(select count(id) from hxItem), last=[##LTIMER] where id='hxItem';


--**-----------------------------------------------------------------
!create table if not exists "hxsaleday"(
	"hxcounterid" nvarchar(20) not null default '',
	"tsdate" date not null default '0001-1-1',
	"hxitemid" nvarchar(10) not null default '',
	"per" decimal(6,3) not null default 0,
	"salemny" decimal(19,4) not null default 0,
	"adjmny" decimal(19,4) not null default 0,
	"payable" decimal(19,4) not null default 0,
	"context" nvarchar(50) not null default '',
	"itemext" nvarchar(50) not null default '',
	"perext" nvarchar(50) not null default '',
	"daytime" datetime2 not null default '0001-1-1',
	"montime" datetime2 not null default '0001-1-1',
	
	primary key (hxcounterid,tsdate,hxitemid)
);
!create index if not exists "ix_hxsaleday_tsdate" on "hxsaleday" (tsdate);


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxSaleAdj',0,0,0,''); 
!create table if not exists "hxsaleadj"(
	"listno" nvarchar(20) not null default '',
	"tsdate" date not null default '0001-1-1',
	"hxcounterid" nvarchar(20) not null default '',
	"hrid" nvarchar (10) not null default '',
	"adjdate" date not null default '0001-1-1',
	"hxitemid" nvarchar(10) not null default '',
	"adjdate2" date not null default '0001-1-1',
	"hxitemid2" nvarchar(10) not null default '',
	
	"invoiceno" nvarchar (30) not null default '',
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	 "adjmny" decimal(19,4) not null default 0,
	
	"memo" ntext,
	"swdel" tinyint  not null default 0,
	 "swcheck" tinyint  not null default 0,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	"hxdaytime" datetime2 not null default '0001-1-1',
	 "hxdaytime2" datetime2 not null default '0001-1-1',

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (listno)
);
!create index if not exists "ix_hxsaleadj_adjdate" on "hxsaleadj" (adjdate);
!create index if not exists "ix_hxsaleadj_adjdate2" on "hxsaleadj" (adjdate2);
!create index if not exists "ix_hxsaleadj_certno" on "hxsaleadj" (certno);



--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxDiscount',0,0,0,''); 
!create table if not exists "hxdiscount"(
	"listno" nvarchar(20) not null default '',
	"tsdate" date not null default '0001-1-1',
	"stkid" nvarchar(4) not null default '',
	"hrid" nvarchar (10) not null default '',
	
	"hxitemid" nvarchar(10) not null default '',
	"per" decimal(6,3) not null default 0,
	
	"certno" nvarchar (30) not null default '',
	"batchno" nvarchar (30) not null default '',
	
	 "begdate" date not null default '0001-1-1',
	"enddate" date not null default '0001-1-1',
	
	"memo" nvarchar(250) not null default '',
	"swdel" tinyint  not null default 0,
	 "swcheck" tinyint  not null default 0,
	"swcls" tinyint  not null default 0,
	"clstime" datetime2 not null default '0001-1-1',
	
	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (listno)
);


!create table if not exists "hxdiscountdetail"(
	"rela" nvarchar (20) not null default '',
	"no" smallint  not null default 0,
	"hxcounterid" nvarchar (20) not null default '',
	"per" decimal(6,3) not null default 0,
	
	primary key (rela,no)
);
!create index if not exists "ix_hxdiscountdetail_hxcounterid" on "hxdiscountdetail" (hxcounterid);



--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxPrvd',0,0,0,''); 
!create table if not exists "hxprvd"(
	"id" nvarchar(20) not null default '',
	"name" nvarchar(50) not null default '',
	"fullname" nvarchar(100) not null default '',
	"comaddr" nvarchar(200) not null default '',
	"addr" nvarchar(200) not null default '',
	"unitaddr" nvarchar(200) not null default '',
	"unitno" nvarchar(30) not null default '',
	"taxcode" nvarchar(30) not null default '',
	"hrid" nvarchar(10) not null default '',
	 "bankno" nvarchar(50) not null default '',
	"bankname" nvarchar(100) not null default '',
	"banktitle" nvarchar(100) not null default '',
	"swtax" tinyint  not null default 0,
	"taxrate" tinyint  not null default 0,
	"liaison" nvarchar(30) not null default '',
	"tel" nvarchar(50) not null default '',
	"fax" nvarchar(50) not null default '',
	"mobile" nvarchar(50) not null default '',
	"email" nvarchar(200) not null default '',
	
	"liaison2" nvarchar(30) not null default '',
	"tel2" nvarchar(50) not null default '',
	"fax2" nvarchar(50) not null default '',
	"mobile2" nvarchar(50) not null default '',
	"email2" nvarchar(200) not null default '',
	
	"liaison3" nvarchar(30) not null default '',
	"tel3" nvarchar(50) not null default '',
	"fax3" nvarchar(50) not null default '',
	"mobile3" nvarchar(50) not null default '',
	"email3" nvarchar(200) not null default '',
	
	"memo" ntext,
	"swdel" tinyint  not null default 0,

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);






--**-----------------------------------------------------------------
insert ignore bjn_tableState values('shopMess',0,0,0,''); 
!create table if not exists "shopmess"(
	"id" bigint not null default 0,
	"tstime" datetime2 not null default '0001-1-1',
	"name" nvarchar(50) not null default '',
	"tel" nvarchar(50) not null default '',
	"email" nvarchar(100) not null default '',
	"tip" nvarchar(50) not null default '',
	"relaid" bigint not null default 0,
	"itemid" nvarchar (30) not null default '',
	"memberid" nvarchar (20) not null default '',
	"msgtext" ntext,
	"reptext" ntext,
	"replier" nvarchar(50) not null default '',
	"reptime" datetime2 not null default '0001-1-1',
	"swrep" tinyint  not null default 0,
	"memo" ntext,
	"swdel" tinyint  not null default 0,

	"creater" nvarchar(50) not null default '',
	"createtime" datetime2 not null default '0001-1-1',
	"updater" nvarchar(50) not null default '',
	"updatetime" datetime2 not null default '0001-1-1',

	primary key (id)
);
